<?php
/*
Encurtador de links
Desenvolvido por: Célio Rodrigues
"INTRA - Infraestrutura de Rede inc."
"www.intra.id1945.com" (Hostinger Gratuito Kkka) - (Site em Contrução !)
E-Mail:celio-rodrigues21@hotmail.com
Para futura reprodução favor manter os créditos !
*/

if ( isset($_POST['link']) && !empty($_POST['link']) ) {
    $url = $_POST['link'];
$url_mini = substr(sha1(time()), 0,5);
     
include("config.php");
$sql = "INSERT INTO urls (url,url_mini) VALUES (
      '".$url."',
      '".$url_mini."'
)";
 $query = mysqli_query($conexao, $sql) or die (mysqli_error($conexao));
     
$parametro = "?url=".$url_mini;
} else
$parametro = "";

header("Location:".$_SERVER['HTTP_REFERER'].$parametro);
?>